--- old/usr/src/man/man3head/wchar.h.3head	Tue Aug 12 07:52:14 2014
+++ new/usr/src/man/man3head/wchar.h.3head	Tue Aug 12 07:52:14 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2001, The IEEE and The Open Group. All Rights Reserved. Portions Copyright (c) 2004, Sun Microsystems, Inc. All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,173 +7,168 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCHAR.H 3HEAD "Sep 10, 2004"
-.SH NAME
-wchar.h, wchar \- wide-character handling
-.SH SYNOPSIS
-.LP
-.nf
-#include <\fBwchar.h\fR>
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The <\fBwchar.h\fR> header defines the following types:
-.sp
-.ne 2
-.na
-\fB\fBwchar_t\fR\fR
-.ad
-.RS 13n
-As described in <\fBstddef.h\fR>.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBwint_t\fR\fR
-.ad
-.RS 13n
-An integer type capable of storing any valid value of \fBwchar_t\fR or
-\fBWEOF\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBwctype_t\fR\fR
-.ad
-.RS 13n
+.Dd "Jul 27, 2014"
+.Dt WCHAR.H 3HEAD
+.Os
+.Sh NAME
+.Nm wchar.h ,
+.Nm wchar
+.Nd wide-character handling
+.Sh SYNOPSIS
+.In wchar.h
+.Sh DESCRIPTION
+The
+.In wchar.h
+header defines the following types:
+.Bl -tag -width Vt
+.
+.It Vt wchar_t
+As described in
+.In stddef.h .
+.
+.It Vt wint_t
+An integer type capable of storing any valid value of
+.Vt wchar_t
+or
+.Dv WEOF .
+.
+.It Vt wctype_t
 A scalar type of a data object that can hold values which represent
 locale-specific character classification.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBmbstate_t\fR\fR
-.ad
-.RS 13n
+.
+.It Vt locale_t
+As described in
+.In locale.h .
+.
+.It Vt mbstate_t
 An object type other than an array type that can hold the conversion state
 information necessary to convert between sequences of (possibly multi-byte)
-characters and wide characters.  If a codeset is being used such that  an
-\fBmbstate_t\fR needs to preserve more than two levels of reserved state, the
+characters and wide characters.  If a codeset is being used such that an
+.Vt mbstate_t
+needs to preserve more than two levels of reserved state, the
 results are unspecified.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBFILE\fR\fR
-.ad
-.RS 13n
-As described in <\fBstdio.h\fR>.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBsize_t\fR\fR
-.ad
-.RS 13n
-As described in <\fBstddef.h\fR>.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBva_list\fR\fR
-.ad
-.RS 13n
-As described in <\fBstdarg.h\fR>.
-.RE
-
-.sp
-.LP
+.
+.It Vt FILE
+As described in
+.In stdio.h .
+.
+.It Vt size_t
+As described in
+.In stddef.h .
+.
+.It Vt va_list
+As described in
+.In stdarg.h .
+.El
+.
+.Lp
 The implementation supports one or more programming environments in which the
-width of \fBwint_t\fR is no greater than the width of type \fBlong\fR. The
-names of these programming environments can be obtained using the
-\fBconfstr\fR(3C) function or the \fBgetconf\fR(1) utility.
-.sp
-.LP
-The <\fBwchar.h\fR> header defines the following macros:
-.sp
-.ne 2
-.na
-\fB\fBWCHAR_MAX\fR\fR
-.ad
-.RS 13n
-The maximum value representable by an object of type \fBwchar_t\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBWCHAR_MIN\fR\fR
-.ad
-.RS 13n
-The minimum value representable by an object of type \fBwchar_t\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBWEOF\fR\fR
-.ad
-.RS 13n
-Constant expression of type \fBwint_t\fR that is returned by several WP
-functions to indicate end-of-file.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBNULL\fR\fR
-.ad
-.RS 13n
-As described in <\fBstddef.h\fR>.
-.RE
-
-.sp
-.LP
-The tag \fBtm\fR is declared as naming an incomplete structure type, the
-contents of which are described in the header <\fBtime.h\fR>.
-.sp
-.LP
-Inclusion of the <\fBwchar.h\fR> header can make visible all symbols from the
-headers <\fBctype.h\fR>,  <\fBstring.h\fR>, <\fBstdarg.h\fR>, <\fBstddef.h\fR>,
-<\fBstdio.h\fR>, <\fBstdlib.h\fR>, and <\fBtime.h\fR>.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBgetconf\fR(1), \fBbtowc\fR(3C), \fBconfstr\fR(3C), \fBfgetwc\fR(3C),
-\fBgetws\fR(3C), \fBfputwc\fR(3C), \fBfputws\fR(3C), \fBfwide\fR(3C),
-\fBfwprintf\fR(3C), \fBfwscanf\fR(3C), \fBgetwc\fR(3C), \fBgetwchar\fR(3C),
-\fBiswalpha\fR(3C), \fBiswctype\fR(3C), \fBmbsinit\fR(3C), \fBmbrlen\fR(3C),
-\fBmbrtowc\fR(3C), \fBmbsrtowcs\fR(3C), \fBtowlower\fR(3C), \fBtowupper\fR(3C),
-\fBungetwc\fR(3C), \fBvfwprintf\fR(3C), \fBwcrtomb\fR(3C), \fBwcsrtombs\fR(3C),
-\fBwcstring\fR(3C), \fBwcsstr\fR(3C), \fBwcstod\fR(3C), \fBwcscoll\fR(3C),
-\fBwcsftime\fR(3C), \fBwcstol\fR(3C), \fBwcstoul\fR(3C), \fBwcswidth\fR(3C),
-\fBwcsxfrm\fR(3C), \fBwctob\fR(3C), \fBwctype\fR(3C), \fBwcwidth\fR(3C),
-\fBwmemchr\fR(3C), \fBwmemcmp\fR(3C), \fBwmemcpy\fR(3C), \fBwmemmove\fR(3C),
-\fBwmemset\fR(3C), \fBstdarg\fR(3EXT), \fBstddef.h\fR(3HEAD),
-\fBstdio.h\fR(3HEAD), \fBstdlib.h\fR(3HEAD), \fBstring.h\fR(3HEAD),
-\fBtime.h\fR(3HEAD), \fBwctype.h\fR(3HEAD), \fBattributes\fR(5),
-\fBstandards\fR(5)
+width of
+.Vt wint_t
+is no greater than the width of type
+.Vt long .
+The names of these programming environments can be obtained using the
+.Xr confstr 3C
+function or the
+.Xr getconf 1
+utility.
+.Lp
+The
+.In wchar.h
+header defines the following macros:
+.Bl -tag -width Dv
+.
+.It Dv WCHAR_MAX
+The maximum value representable by an object of type
+.Vt wchar_t .
+.
+.It Dv WCHAR_MIN
+The minimum value representable by an object of type
+.Vt wchar_t .
+.
+.It Dv WEOF
+Constant expression of type
+.Vt wint_t
+that is returned by certain wide-character functions to indicate end-of-file.
+.
+.It Dv NULL
+As described in
+.In stddef.h .
+.El
+.Lp
+The tag
+.Vt tm
+is declared as naming an incomplete structure type, the
+contents of which are described in the header
+.In time.h .
+.Lp
+Inclusion of the
+.In wchar.h
+header can make visible all symbols from the headers
+.In ctype.h ,
+.In string.h ,
+.In stdarg.h ,
+.In stddef.h ,
+.In stdio.h ,
+.In stdlib.h ,
+and
+.In time.h .
+.Sh INTERFACE STABILITY
+.Sy Standard .
+.Sh SEE ALSO
+.Xr getconf 1 ,
+.Xr btowc 3C ,
+.Xr confstr 3C ,
+.Xr fgetwc 3C ,
+.Xr getws 3C ,
+.Xr fputwc 3C ,
+.Xr fputws 3C ,
+.Xr fwide 3C ,
+.Xr fwprintf 3C ,
+.Xr fwscanf 3C ,
+.Xr getwc 3C ,
+.Xr getwchar 3C ,
+.Xr iswalpha 3C ,
+.Xr iswctype 3C ,
+.Xr mbsinit 3C ,
+.Xr mbrlen 3C ,
+.Xr mbrtowc 3C ,
+.Xr mbsrtowcs 3C ,
+.Xr towlower 3C ,
+.Xr towupper 3C ,
+.Xr ungetwc 3C ,
+.Xr vfwprintf 3C ,
+.Xr wcrtomb 3C ,
+.Xr wcsrtombs 3C ,
+.Xr wcstring 3C ,
+.Xr wcsstr 3C ,
+.Xr wcstod 3C ,
+.Xr wcscoll 3C ,
+.Xr wcsdup 3C ,
+.Xr wcsftime 3C ,
+.Xr wcslen 3C ,
+.Xr wcstol 3C ,
+.Xr wcstoul 3C ,
+.Xr wcswidth 3C ,
+.Xr wcsxfrm 3C ,
+.Xr wctob 3C ,
+.Xr wctype 3C ,
+.Xr wcwidth 3C ,
+.Xr wmemchr 3C ,
+.Xr wmemcmp 3C ,
+.Xr wmemcpy 3C ,
+.Xr wmemmove 3C ,
+.Xr wmemset 3C ,
+.Xr stdarg 3EXT ,
+.Xr stddef.h 3HEAD ,
+.Xr stdio.h 3HEAD ,
+.Xr stdlib.h 3HEAD ,
+.Xr string.h 3HEAD ,
+.Xr time.h 3HEAD ,
+.Xr wctype.h 3HEAD ,
+.Xr standards 5)
+.Sh STANDARDS
+The
+.In wchar.h
+header was introduced in
+.St -xpg4 .
